GCLOUD_CONTAINER_IMAGES_LIST-TAGS(1)

NAME

gcloud container images list-tags - list tags and digests for the specified image

SYNOPSIS

gcloud container images list-tags IMAGE_NAME [--filter=EXPRESSION] [--limit=LIMIT; default="10"] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]; default="~timestamp"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
The container images list-tags command of gcloud lists metadata about tags and digests for the specified container image. Images must be hosted by the Google Container Registry.

POSITIONAL ARGUMENTS

    IMAGE_NAME
        The fully qualified image name of the image to list tags for. The name format should be *.gcr.io/project_id/image_path.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT; default="10"
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]; default="~timestamp"
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
List the tags in a specified image:
    $ gcloud container images list-tags gcr.io/myproject/myimage
To receive the full, JSON-formatted output (with untruncated digests):
    $ gcloud container images list-tags gcr.io/myproject/myimage \
        --format=json